summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Weber <michael@xmw.de>2017-11-26 18:17:09 +0100
committerMichael Weber <michael@xmw.de>2017-11-26 18:17:09 +0100
commitfc2bd9a9eee8de8ed52c27780dc7d20dd3a529b7 (patch)
tree21f3344be05ebf6b6d31ae180524cee9319783ec
parentmedia-sound/jack-audio-connection-kit: Updated version of jack:2 (diff)
downloadxmw-fc2bd9a9eee8de8ed52c27780dc7d20dd3a529b7.zip
xmw-fc2bd9a9eee8de8ed52c27780dc7d20dd3a529b7.tar.gz
xmw-fc2bd9a9eee8de8ed52c27780dc7d20dd3a529b7.tar.bz2
media-libs/jackcpp: Initial import.
Package-Manager: Portage-2.3.14, Repoman-2.3.6 Manifest-Sign-Key: 0x71D573A82F434065
-rw-r--r--media-libs/jackcpp/files/jackcpp-9999-buildsystem.patch19
-rw-r--r--media-libs/jackcpp/jackcpp-9999.ebuild36
-rw-r--r--media-libs/jackcpp/metadata.xml14
3 files changed, 69 insertions, 0 deletions
diff --git a/media-libs/jackcpp/files/jackcpp-9999-buildsystem.patch b/media-libs/jackcpp/files/jackcpp-9999-buildsystem.patch
new file mode 100644
index 0000000..1a0c588
--- /dev/null
+++ b/media-libs/jackcpp/files/jackcpp-9999-buildsystem.patch
@@ -0,0 +1,19 @@
+--- jackcpp-9999/Makefile
++++ jackcpp-9999/Makefile
+@@ -16,13 +16,11 @@
+ OBJ = ${SRC:.cpp=.o}
+
+ .cpp.o:
+- @echo CC $<
+- @${CC} -c ${CFLAGS} -o $*.o $<
++ ${CC} -c ${CFLAGS} -o $*.o $<
+
+ ${LIBNAME}: ${OBJ}
+- @echo AR $@
+- @${AR} $@ ${OBJ}
+- @${RANLIB} $@
++ ${AR} $@ ${OBJ}
++ ${RANLIB} $@
+
+ .PHONY: test doc
+
diff --git a/media-libs/jackcpp/jackcpp-9999.ebuild b/media-libs/jackcpp/jackcpp-9999.ebuild
new file mode 100644
index 0000000..0f8f517
--- /dev/null
+++ b/media-libs/jackcpp/jackcpp-9999.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit git-r3 flag-o-matic toolchain-funcs
+
+DESCRIPTION="C++ class wrapping most of the jack client functionality"
+HOMEPAGE="http://x37v.info/projects/jackcpp/"
+EGIT_REPO_URI="https://github.com/x37v/jackcpp.git"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS=""
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}"/${P}-buildsystem.patch )
+
+src_prepare() {
+ sed -e '/^PREFIX =/s/= .*/= \/usr/' \
+ -e '/^CC =/d' \
+ -e '/^CFLAGS =/d' \
+ -e '/^LDFLAGS =/d' \
+ -i.bak config.mk || die
+
+ sed -e "s|/lib/|/$(get_libdir)/|" \
+ -i.bak Makefile || die
+
+ tc-export CC
+ append-cflags "-I./include"
+
+ default
+}
diff --git a/media-libs/jackcpp/metadata.xml b/media-libs/jackcpp/metadata.xml
new file mode 100644
index 0000000..4b5854c
--- /dev/null
+++ b/media-libs/jackcpp/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="person">
+<email>xmw@gentoo.org</email>
+<name>Michael Weber</name>
+</maintainer>
+<longdescription lang="en">
+A C++ class wrapping most of the jack client functionality, a "blocking"
+interface for jack and a template class wrapping the jack ring buffer. There
+is also a swig interface generator for making scripting interfaces for the
+blockingaudioio class.
+</longdescription>
+</pkgmetadata>